| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Macros
imagpng.h File Reference

## Classes

class | wxPNGHandler
| This is the image handler for the PNG format. More...

## Macros

#define | wxIMAGE_OPTION_PNG_FORMAT wxT("PngFormat")
#define | wxIMAGE_OPTION_PNG_BITDEPTH wxT("PngBitDepth")
#define | wxIMAGE_OPTION_PNG_FILTER wxT("PngF")
#define | wxIMAGE_OPTION_PNG_COMPRESSION_LEVEL wxT("PngZL")
#define | wxIMAGE_OPTION_PNG_COMPRESSION_MEM_LEVEL wxT("PngZM")
#define | wxIMAGE_OPTION_PNG_COMPRESSION_STRATEGY wxT("PngZS")
#define | wxIMAGE_OPTION_PNG_COMPRESSION_BUFFER_SIZE wxT("PngZB")

## Macro Definition Documentation

#define wxIMAGE_OPTION_PNG_BITDEPTH wxT("PngBitDepth")

#define wxIMAGE_OPTION_PNG_COMPRESSION_BUFFER_SIZE wxT("PngZB")

#define wxIMAGE_OPTION_PNG_COMPRESSION_LEVEL wxT("PngZL")

#define wxIMAGE_OPTION_PNG_COMPRESSION_MEM_LEVEL wxT("PngZM")

#define wxIMAGE_OPTION_PNG_COMPRESSION_STRATEGY wxT("PngZS")

#define wxIMAGE_OPTION_PNG_FILTER wxT("PngF")

#define wxIMAGE_OPTION_PNG_FORMAT wxT("PngFormat")